Bug 837154 - [RFE]SAM should display the hosts' type and version on systems tab about system details
[RFE]SAM should display the hosts' type and version on systems tab about syst...
Status: CLOSED WONTFIX
Product: Subscription Asset Manager
Classification: Red Hat
Component: katello (Show other bugs)
1.2
Unspecified Unspecified
unspecified Severity medium
: rc
: ---
Assigned To: Tom McKay
SAM QE List
: FutureFeature, Triaged
Depends On: 853194
Blocks: sam20-tracker 837917
  Show dependency treegraph
 
Reported: 2012-07-02 22:34 EDT by Hui Wang
Modified: 2016-03-10 22:34 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
: 837917 853194 (view as bug list)
Environment:
Last Closed: 2016-03-10 22:34:06 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Hui Wang 2012-07-02 22:34:28 EDT
Description of problem:
SAM supports different hypervisors to be registered to SAM. 
It should be display what is the type and version of the host.
e.g, if the host is ESX, pls display the type and version like this: ESX 5.0;
if the host is kvm, pls display the type and version like this: kvm 0.12.1.2-2.295.el6.x86_64.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Tom McKay 2012-08-27 15:50:37 EDT
Does the hypervisor type come up with the system facts? If you could print out system facts, that would be helpful. If it's not in the facts, this BZ will need to be cloned to subscription-manager and/or virt-who
Comment 2 Tom McKay 2012-09-07 12:16:28 EDT
Destined for RHEL 6.5
See https://bugzilla.redhat.com/show_bug.cgi?id=853194
Comment 3 Hui Wang 2012-12-19 02:39:17 EST
(In reply to comment #1)
> Does the hypervisor type come up with the system facts? If you could print
> out system facts, that would be helpful. If it's not in the facts, this BZ
> will need to be cloned to subscription-manager and/or virt-who
On the host(KVM):
# subscription-manager  facts --list
....
uname.release: 2.6.32-343.el6.x86_64
^^^^^^^^^^^^^^Kernel version
uname.sysname: Linux
uname.version: #1 SMP Mon Nov 19 16:46:10 EST 2012
virt.host_type: Not Applicable
virt.is_guest: False

On the guest that is running on the host(KVM)
# subscription-manager  facts --list
.........
virt.host_type: kvm
^^^^^^^^^Host type
virt.is_guest: True
virt.uuid: 92582471-35d9-d9c2-d405-6b760075fea8
[root@samserv ~]# virt-what
kvm

KVM, Xen, rhevh can give the info from the facts,
but the hyper-v and ESX can't get the info from subscription, may be virt-who can fetch the infos, right?

Note You need to log in before you can comment on or make changes to this bug.